<section data-ng-controller="OrdersController" data-ng-init="find()" class="panel">
	<header class="panel-heading higher-panel-heading">
		Orders

		<button class='btn btn-action pull-right' ng-show="global.hasRole('provider') || global.hasRole('admin')" style="margin-left: 20px;"
		 data-ng-click="checkPayment()">Check Payment</button>

		<button class='btn btn-action pull-right' ng-show="global.hasRole('provider') || global.hasRole('admin')"
		 data-ng-click="bulkCopy()">Bulk Copy</button>

	</header>
	<span>

		<table ng-table="tableParams" show-filter="true" class="ng-table-responsive table table-striped table-advance table-hover orders">
			<tr data-ng-repeat="order in $data" ng-if="order.url != 'add_cart' && order.from_api != true">
				<td data-title="'Copy'">

					<label clipboard text='copyMe'>
						<button class='btn btn-action' type='button' ng-init='copyMe=order.url'>Copy</button></label>

				</td>
				<td data-title="'API ID'" sortable="'_id'" filter="{ '_id': 'text' }">

					<div ng-click="order.showEdit=true" style="cursor:pointer;">
						<span ng-if="order.api_id">{{order.api_id}}</span>
						<span ng-if="!order.api_id">N/A</span>

						 </div>
							<input ng-if="order.showEdit" type="text" ng-model="order.api_id">
							<button ng-if="order.showEdit"  class="btn btn-sm btn-primary" ng-click="order.showEdit=false;modifyApiCode(order);">Save </button>
							<button ng-if="order.showEdit"  ng-click="order.showEdit=false;" class="btn btn-sm btn-danger">Cancel</button>


				</td>
				<td data-title="'Created'" sortable="'created'"><a data-ng-href="#!/orders/{{order._id}}">{{order.created |
						fromNow}}</a></td>
				<td data-title="'URL'" sortable="'url'" filter="{ 'url': 'text' }">
					<i class='fa fa-envelope' style="color: #aad; margin-right: 0.15em;" ng-if="hasUnread(order)"></i>
					<a class='copy-url' data-ng-href="#!/orders/{{order._id}}">{{order.url | cut:true:40:' ...'}}</a>
				</td>
				<td data-title="'Service'" sortable="'service.label'" filter="{ 'service': 'select' }" filter-data="servicesFilter($column)"><a
					 data-ng-href="#!/orders/{{order._id}}">{{order.service.label | cut:true:35:' ...'}}</a></td>
				<td data-title="'Quantity'" sortable="'orderCount'"><a data-ng-href="#!/orders/{{order._id}}">{{order.orderCount |
						numeral}}</a>
				<td data-title="'Price'" sortable="'price'"><a data-ng-href="#!/orders/{{order._id}}">{{getOrderPrice() |
						numeral:'$0,0.00'}}</a></td>
				<td data-title="'Email'" sortable="'service.user.username'" filter="{ 'username': 'text' }">{{order.user.username |
					cut:true:35:' ...'}}</td>
				<td data-title="'Status'" sortable="'status'" filter="{ 'status' : 'select' }" filter-data="servicesStatus($column)"><a
					 data-ng-href="#!/orders/{{order._id}}">

						<span ng-if="order.refunded" class="order-status-verifying">
							Refunded
						</span>
						<span ng-if="order.refund && !order.refunded" class='order-status-cancelled'>
							Unable to deliver
						</span>
						<span ng-if="!order.paid && !order.checkout && !order.refund" class='order-status-cancelled'>
							Abandoned Checkout
						</span>
						<span ng-if="!order.paid && order.checkout && !order.refund" class='order-status-verifying'>
							Authorizing Payment
						</span>
						<span ng-if="order.verified && !order.completed && order.topup && !order.refund" class='order-status-verifying'>
							Verifying - via topUP
						</span>

						<span ng-if="order.verified && !order.completed && !order.topup && !order.refund" class='order-status-verifying'>
							Verifying payment
						</span>

						<!--<span ng-if="order.paid && order.completed && !order.cancelled && !order.my_test" class='order-status-verifying'>
			        	Verifying
			        </span>
			        -->
						<span ng-if="order.paid && order.completed && !order.cancelled && order.verified && !order.refund || order.paid && order.completed && !order.cancelled && order.my_test && !order.refund"
						 class='order-status-completed'>
							Completed
						</span>
						<span ng-if="order.paid && order.cancelled && !order.refunded" class='order-status-cancelled && !order.refund'>
							Cancelled
						</span>
						<span ng-if="order.paid && !order.completed && !order.cancelled && !order.provider && !order.verified && !order.manual_verify && !order.refund"
						 class='order-status-progress'>
							In Progress
						</span>
						<span ng-if="order.paid && !order.completed && !order.cancelled && order.provider && !order.verified && !order.manual_verify && !order.refund"
						 class='order-status-progress'>
							In Progress
						</span>
						<span ng-if="order.paid && !order.completed && !order.cancelled &&  !order.verified && order.manual_verify && !order.refund"
						 class='order-status-progress'>
							Manual check
						</span>
					</a></td>
				<td ng-if="order.refund && !order.refunded" data-title="'Action'"><a data-ng-href="#!/orders/{{order._id}}">Click
						to fix URL</a></td>

				</a>
			</tr>
		</table>
	</span>

	<h1 data-ng-hide="!orders || orders.length || !global.hasRole('customer')" class='no-orders'>No orders yet.<span> <br>
			Why don't you <a href="/#!/orders/create">Place an Order</a>?</span></h1>
</section>